Package org.spongepowered.asm.mixin.transformer.ext

## Interface IExtension

- All Known Implementing Classes:
    `ExtensionCheckClass`, `ExtensionCheckInterfaces`, `ExtensionClassExporter`, `ExtensionLVTCleaner`

      public interface IExtension

  Mixin Transformer extension interface for pre- and post-processors

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkActive​(MixinEnvironment environment)` | Check whether this extension is active for the specified environment
    `void` | `export​(MixinEnvironment env, java.lang.String name, boolean force, org.objectweb.asm.tree.ClassNode classNode)` | Called when a class needs to be exported
    `void` | `postApply​(ITargetClassContext context)` | Called after the mixins are applied
    `void` | `preApply​(ITargetClassContext context)` | Called before the mixins are applied

- - ### Method Detail

    - #### checkActive

          boolean checkActive​(MixinEnvironment environment)

      Check whether this extension is active for the specified environment
      Parameters:
        `environment` - current environment
      Returns:
        true if the module should be active in the specified environment

    - #### preApply

          void preApply​(ITargetClassContext context)

      Called before the mixins are applied
      Parameters:
        `context` - Target class context

    - #### postApply

          void postApply​(ITargetClassContext context)

      Called after the mixins are applied
      Parameters:
        `context` - Target class context

    - #### export

          void export​(MixinEnvironment env,
                      java.lang.String name,
                      boolean force,
                      org.objectweb.asm.tree.ClassNode classNode)

      Called when a class needs to be exported
      Parameters:
        `env` - Environment
        `name` - Class name
        `force` - True to export even if the current environment settings would normally disable it
        `classNode` - Class to export